## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IJavaWebServiceElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IServiceEndpointInterface, IWebMethod, IWebParam, IWebService, IWebType

    public interface IJavaWebServiceElement

extends org.eclipse.emf.ecore.EObject

Method Summary
`java.lang.String` `getImplementation()`
`java.lang.String` `getName()`
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getImplementation

    java.lang.String getImplementation()

  Returns:

### getName

    java.lang.String getName()

  Returns:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`